%define upstream_name    Aspect
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
Summary:    Observer pattern with events
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Sub::Install) >= 0.920.0
BuildRequires: perl(Sub::Uplevel) >= 0.200.200
BuildRequires: perl(Task::Weaken) >= 1.0.0
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildArch:  noarch

%description
What is Aspect-Oriented Programming?
    Aspect-Oriented Programming (AOP) is a programming paradigm which aims
    to increase modularity by allowing the separation of "cross-cutting
    "concerns.

    It includes programming methods and tools that support the
    modularization of concerns at the level of the source code, while
    "aspect-oriented software development" refers to a whole engineering
    discipline.

    Aspect-Oriented Programming (AOP) allows you to modularise code for
    issues that would otherwise be spread across many parts of a program
    and be problematic to both implement and maintain.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-12.mga9
+ Revision: 1808319
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-11.mga8
+ Revision: 1503469
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-10.mga7
+ Revision: 1281793
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.40.0-9.mga7
+ Revision: 1163134
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.40.0-8.mga7
+ Revision: 1157282
- fix build without requiring Module::Install

* Thu Sep 21 2017 guillomovitch <guillomovitch> 1.40.0-7.mga7
+ Revision: 1156661
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-6.mga6
+ Revision: 1022594
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.40.0-5.mga6
+ Revision: 932142
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 742999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 683551
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-2.mga4
+ Revision: 527592
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.40.0-1.mga4
+ Revision: 441472
- update to 1.04

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 363184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.30.0-1.mga3
+ Revision: 314846
- update to 1.03

* Tue Oct 09 2012 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 303880
- imported package perl-Aspect


* Tue Oct 09 2012 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
